Bug 37051 - PCMCIA install of Red Hat 7.1 and 7.2 does not work
PCMCIA install of Red Hat 7.1 and 7.2 does not work
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
7.2
i586 Linux
high Severity high
: ---
: ---
Assigned To: Dave Jones
David Lawrence
:
: 37052 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-22 08:17 EDT by Bo Thide
Modified: 2015-01-04 17:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 02:12:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bo Thide 2001-04-22 08:17:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; HP-UX B.11.00 9000/785)


PCMCIA install of Red Hat 7.1 does not work.  Booting from pcmcia.img works
fine
but when the PCMCIA device drivers floppy is inserted and the process is
continued,
the installation process hangs for at least 12 (twelve!) hours!!

Earlier installations of 6.X and 7.0 via PCMCIA worked fine.


Reproducible: Always
Steps to Reproduce:
1.Insert the pcmcia.img into the laptop floppy drive 
2.Start up the laptop
3.Follow the on-screen instructions

	

Actual Results:  TOTAL SYSTEM HANG!

Expected Results:  Installation procedure

No error messages,  just a complete hang.
Comment 1 Bill Nottingham 2001-04-22 16:27:18 EDT
*** Bug 37052 has been marked as a duplicate of this bug. ***
Comment 2 Brent Fox 2001-04-22 23:24:59 EDT
Can you do an md5sum on the iso images that you downloaded and make sure that
nothing got corrupted during the download?
Comment 3 Bo Thide 2001-04-23 11:56:09 EDT
md5sum pcmcia.img
49a0df832560f44bda7b2580bea22c10  pcmcia.img

md5sum pcmciadd.img
c18c93cc245d51808fdd549ddde12e28  pcmciadd.img

This is on a Toshiba Satellite 2540CDT with a 3Com Megahertz
10/100 LAN=56k' Model 3CCFEM556 B connected to a  100 Mb/s LAN.
Comment 4 Brent Fox 2001-04-24 12:03:43 EDT
Are you trying to do an NFS, FTP, HTTP, Hard drive, or some other kind of
install?  Also, can you look on VC3 and VC4 and see if there are any error
messages about loading a driver for the network card?
Comment 5 Bo Thide 2001-04-24 12:51:25 EDT
Eventually, I want to do either FTP, NFS or HTTP install.  But the machine hangs
long before that.
I never even get to the point where the install software asks the first
question!!  There must be
something very wrong with RedHat 7.1 pcmcia.img and/or pcmicadd.img.
Comment 6 Brent Fox 2001-04-24 14:02:12 EDT
The md5sums look ok.  We have tested the pcmcia.img and pcmciadd.img disks
extensively.  When the machine hangs, can you press <Ctrl><Alt><F3> and see if
there are any error messages?  Also, try <Ctrl><Alt><F4> and look there.
Comment 7 Bo Thide 2001-04-25 00:21:23 EDT
When the machine hangs,  it gets totally catatonic. Neither <CTRL><ALT><F3> nor
<CTLR><ALT><F4> works.  No error messages, no response to any key input.
There is a complete deadlock and the only way to get out of it is to make a hard
reset.

The corresponding procedure (pcmcia.img etc) for RedHat  7.0 works perfectly for
the
very same laptop...
Comment 8 Brent Fox 2001-04-25 10:20:20 EDT
msf, does this sound like more of a kernel problem to you?
Comment 9 Brent Fox 2001-05-02 17:59:50 EDT
What happens if you try booting with 'linux ide=nodma'?
Comment 10 Bo Thide 2001-05-03 05:41:57 EDT
No change.   The whole system hangs and the pcmcia card/LAN never gets started.
Comment 11 Brent Fox 2001-05-08 12:01:02 EDT
Can you boot back into 7.0 and post the output of 'lspci -n' and 'lspci -v'? 
That will let us know what the card is identifiying itself to the kernel as.  It
sounds like the kernel is hanging when trying to insert the module.  Either
that, or kudzu is hanging while probing the pci bus.
Comment 12 Brent Fox 2001-05-18 15:11:13 EDT
Closing due to inactivity.  Please reopen if you have more information.
Comment 13 Bo Thide 2001-06-01 13:27:06 EDT
lspci -n:

00:00.0 Class 0600: 1179:0601 (rev a2)
00:07.0 Class 0780: 11c1:0441 (rev 01)
00:08.0 Class 0300: 5333:8c01 (rev 06)
00:0b.0 Class 0c03: 1033:0035 (rev 02)
00:10.0 Class 0101: 1179:0103 (rev 34)
00:11.0 Class 0780: 1179:0701 (rev 23)
00:13.0 Class 0607: 1179:060f (rev 07)
00:13.1 Class 0607: 1179:060f (rev 07)

--------------------------------------------------------------

lspci -v:
00:00.0 Host bridge: Toshiba America Info Systems 601 (rev a2)
        Subsystem: Toshiba America Info Systems: Unknown device 0001
        Flags: bus master, medium devsel, latency 0

00:07.0 Communication controller: Lucent Microelectronics 56k WinModem (rev 01)
        Subsystem: Toshiba America Info Systems Internal V.90 Modem
        Flags: bus master, medium devsel, latency 0, IRQ 3
        Memory at ffefff00 (32-bit, non-prefetchable)
        I/O ports at 02f8
        I/O ports at 1c00
        Capabilities: [f8] Power Management version 2

00:08.0 VGA compatible controller: S3 Inc. ViRGE/MX (rev 06) (prog-if 00 [VGA])
        Subsystem: Toshiba America Info Systems: Unknown device 0001
        Flags: bus master, medium devsel, latency 0
        Memory at f8000000 (32-bit, non-prefetchable)
        Expansion ROM at 000c0000 [disabled]

00:0b.0 USB Controller: NEC Corporation USB (rev 02) (prog-if 10 [OHCI])
        Subsystem: Toshiba America Info Systems: Unknown device 0001
        Flags: bus master, medium devsel, latency 64, IRQ 11
        Memory at f7fff000 (32-bit, non-prefetchable)

00:10.0 IDE interface: Toshiba America Info Systems: Unknown device 0103 (rev
34) (prog-if f0)
        Subsystem: Toshiba America Info Systems: Unknown device 0001
        Flags: bus master, slow devsel, latency 64
        I/O ports at 1800

00:11.0 Communication controller: Toshiba America Info Systems FIR Port (rev 23)
        Subsystem: Toshiba America Info Systems: Unknown device 0001
        Flags: bus master, slow devsel, latency 64, IRQ 11
        I/O ports at ffe0

00:13.0 CardBus bridge: Toshiba America Info Systems ToPIC97 (rev 07)
        Subsystem: Toshiba America Info Systems: Unknown device 0001
        Flags: bus master, slow devsel, latency 0
        Memory at <ignored> (32-bit, non-prefetchable)
        Bus: primary=00, secondary=14, subordinate=14, sec-latency=0
        I/O window 0: 00000000-00000003
        I/O window 1: 00000000-00000003
        16-bit legacy interface ports at 0001

00:13.1 CardBus bridge: Toshiba America Info Systems ToPIC97 (rev 07)
        Subsystem: Toshiba America Info Systems: Unknown device 0001
        Flags: bus master, slow devsel, latency 0
        Memory at <ignored> (32-bit, non-prefetchable)
        Bus: primary=00, secondary=15, subordinate=15, sec-latency=0
        I/O window 0: 00000000-00000003
        I/O window 1: 00000000-00000003
        16-bit legacy interface ports at 0001


Comment 14 Andrea Borgia 2001-06-08 05:22:27 EDT
Same situation on a Toshiba Satellite 320CDS.

md5sum pcmcia.img: 49a0df832560f44bda7b2580bea22c10
md5sum pcmciadd.img: c18c93cc245d51808fdd549ddde12e28

lspci -n:

00:00.0 Class 0600: 1179:0601 (rev a0)
00:04.0 Class 0300: 102c:00e5 (rev c6)
00:0b.0 Class 0c03: 1033:0035 (rev 02)
00:11.0 Class 0780: 1179:0701 (rev 21)
00:13.0 Class 0607: 1179:060f (rev 20)
00:13.1 Class 0607: 1179:060f (rev 20)

lspci -v:

00:00.0 Host bridge: Toshiba America Info Systems 601 (rev a0)
	Subsystem: Toshiba America Info Systems: Unknown device 0001
	Flags: bus master, medium devsel, latency 0

00:04.0 VGA compatible controller: Chips and Technologies F65555 HiQVPro (rev c6) (prog-if 00 [VGA])
	Subsystem: Toshiba America Info Systems: Unknown device 0001
	Flags: stepping, medium devsel
	Memory at fd000000 (32-bit, non-prefetchable)

00:0b.0 USB Controller: NEC Corporation USB (rev 02) (prog-if 10 [OHCI])
	Subsystem: Toshiba America Info Systems: Unknown device 0001
	Flags: bus master, medium devsel, latency 64, IRQ 11
	Memory at fcfff000 (32-bit, non-prefetchable)

00:11.0 Communication controller: Toshiba America Info Systems FIR Port (rev 21)
	Subsystem: Toshiba America Info Systems: Unknown device 0001
	Flags: bus master, slow devsel, latency 64, IRQ 11
	I/O ports at ffe0

00:13.0 CardBus bridge: Toshiba America Info Systems ToPIC97 (rev 20)
	Subsystem: Toshiba America Info Systems: Unknown device 0001
	Flags: bus master, slow devsel, latency 0
	Memory at <ignored> (32-bit, non-prefetchable)
	Bus: primary=00, secondary=14, subordinate=14, sec-latency=0
	I/O window 0: 00000000-00000003
	I/O window 1: 00000000-00000003
	16-bit legacy interface ports at 0001

00:13.1 CardBus bridge: Toshiba America Info Systems ToPIC97 (rev 20)
	Subsystem: Toshiba America Info Systems: Unknown device 0001
	Flags: bus master, slow devsel, latency 0
	Memory at <ignored> (32-bit, non-prefetchable)
	Bus: primary=00, secondary=15, subordinate=15, sec-latency=0
	I/O window 0: 00000000-00000003
	I/O window 1: 00000000-00000003
	16-bit legacy interface ports at 0001
Comment 15 Brent Fox 2001-06-11 12:55:47 EDT
Is the floppy drive internal or USB?
Comment 16 Andrea Borgia 2001-06-18 10:35:58 EDT
In my case, internal.
Comment 17 Brent Fox 2001-06-19 11:33:25 EDT
When the system hangs, what is the state of the machine?  Do you ever see the
first installer screen, or does it hang while the kernel is booting?
Comment 18 Andrea Borgia 2001-06-21 03:29:56 EDT
It gets as far as starting to read the pcmciadd disk: "Initializing PC card devices"
then it hangs (even without any card!)

On vc3:
failed to load pcmcia_core -- ask for pcmciadd
read rhpcmcia
going to insmod pcmcia_core.o (path is null)
going to insmod yenta_socket.o (path is null)
-hang-

On vc4: 
linux pcmcia card services 3.1.22
options: [pci] [cardbus]
-hang-
Comment 19 Brent Fox 2001-06-21 20:01:00 EDT
This sounds like a problem with the pcmcia drivers.
Comment 20 Andrea Borgia 2001-07-05 07:25:49 EDT
Well, tried to install 7.1 from cd and my laptop wouldn't even think about booting from it (7.0 was fine),
so I went and used a boot floppy. (see 47288).

Now, system is installed and booting...

-cut-cut-
Starting pcmcia:  PCI: No IRQ known for interrupt pin A of device 00:13.0. Please try using pci=biosirq.
PCI: No IRQ known for interrupt pin B of device 00:13.0. Please try using pci=biosirq.
Yenta IRQ list 06b8, PCI irq0"
Socket status: 30000007
-cut-cut-

System hangs...
If I had paid for the boxed set, I would be pissed without limits, but I didn't so I'm only very very annoyed and
I go on trying to see if it can be circumvented.

Let's see... device 13 is the pcmcia controller (surprise...)... reboot, bios setup,
Controller mode: auto->pcic compatible...
System boots fine... but no pcmcia drivers loaded and no traces of the device in /proc
Setup again, pcic->cardbus/16
Eureka, something moves:

-cut-cut-
Starting PCMCIA:  PCI: Enabling device 00:13.0 (0000-> 0002)
PCI: Enabling device 00:13.1 (0000-> 0002)
Yenta IRQ list 06b8, PCI irq 11
Socket status: 30000007
Yenta IRQ list 06b8, PCI irq 11
Socket status: 30000007
-cut-cut-

and booting continues fine... setup networking to use dhcp... SUCCESS!
Downloaded all available updates via ftp just to be 100% sure... all is fine.

Basically, it looks like the "auto" mode in the Toshiba bios is totally screwed wrt 2.4.x (or viceversa ;-).
I guess that, pending a fix, you can post a nice warning so people don't get stuck (and angry).
Comment 21 Andrea Borgia 2001-07-11 03:50:11 EDT
Tried also 2.4.6, same situation: system works only if the controller mode is explicitly set to "cardbus/16".
Luckily, the graphical shell installed in the other partition does not complain about the new setting, so the
issue is closed for me, though I'd love to know what was going on.
Comment 22 Bo Thide 2001-07-18 07:08:39 EDT
Is the upshot of this that there is no hope that RedHat releases after 7.0 will
never run
on Toshiba Satellite laptops...??
Comment 23 endico 2001-07-31 11:44:54 EDT
i just had this problem with my toshiba portege 3015ct and changing the
controller mode in the bios worked around this problem. It was set to
"auto-selected" and changing it to "cardBus/16bit" fixed the problem.
The third choice was "PCIC-Compatable" which I didn't try.

I vaguely remember having to change this setting either when i initally
installed linux on the machine (redhat 5 dot something) or maybe later 
when i installed 6.0.
Comment 24 endico 2001-07-31 12:20:16 EDT
Maybe I spoke too soon. Now that my pc card controller setting is changed I get
past the pcmcia installation but then it starts x the installer gui is broken.
No idea whether this is related to the pc card problem or not. I get the same 
thing with both controller types "cardBus/16bit" and "PCIC-Compatable". The
initial Language Selection partially displays and its impossible to continue.
the machine isn't locked up because I can move the mouse around.

In the Online Help box i see "Language Selection Choose the" and the language
selection block is blank. many of the letters are missing or partially
printed in the message "what language should be used during the installation
process". This may be related to bug 45611

I booted from floppy with the pcmcia disk, used the pcmcia driver disk, 
then the install continued from my scsi cdrom via the adaptec slim scsi
pcmcia card.
Comment 25 Bo Thide 2002-01-02 15:01:08 EST
I just tried to install RedHat 7.2 instead but again the same bug remains.
A PCMCIA install on a Toshiba Satellite laptop fails in a similar fatal
bug (=total hang)!  Something is very wrong in pcmcia.img for RedHat
7.1 and 7.2;  all earlier versions I tried (6.1 -- 7.0) worked perfectly...

Bo


Comment 26 Andrew Moore 2002-11-20 14:19:22 EST
This bug still exists in redhat 8.0. Installing on a Toshiba Satellite 2545xcdt causes a 
hang at "Initializing PC Card Devices...".
The workaround mentiioned earlier works: in the bios, change your PCMCIA controller 
from auto-select to PCIC-Compatable and it will boot.
Comment 27 Casey Taylor 2002-12-02 23:57:50 EST
This bug exists for the Satellite 1100 series, I have a 1115-S103. 
Unfortunately the workaround discovered will not work for these laptops 
because there is no controller mode setting in the bios. I have tried 7.3 and 
8.0 as well as some other distributions with no luck it hangs solid. Any other 
workarounds discovered would be very helpful.
Comment 28 Casey Taylor 2002-12-03 14:59:30 EST
I found a solution that exists for my laptop which is listed in bug report
#78791. Hope this might help others.
Comment 29 Need Real Name 2002-12-03 15:46:52 EST
I just purchased a Toshiba Satellite-S103 and I loaded Windows XP Pro on the 
hard drive.  Then as I was attempting to load Red Hat 8.0, I ran into the same 
"Initialize PC Card Devices" error.  I tried the nopcmcia, then I got a "Blue 
Screen of Death".   
 
HERE'S HOW I GOT IT TO LOAD: 
 
linux nopcmcia resolution=640x480 noprobe <enter> 
 
When you are loading Linux, make sure to hit I for interactive startup.  When 
it asks for starting PCMCIA (y/n/c), be sure to hit no (n).  Then it loads 
fine.  If anyone comes across or makes a driver for the pcmcia card on the 
Toshiba laptops, please let me know: td41@evansville.edu
Comment 30 Bo Thide 2002-12-03 15:55:29 EST
It's somewhat surprising that the PCMCIA support in RH 6.X and 7.0 but since
then has been serverly
broken...  The saving grace is that SuSE has done it right so their Linux 7.X
and 8.X intstall and run
fine on Toshiba laptops. 

Bo
Comment 31 Dave Jones 2004-10-25 21:33:49 EDT
going through old unclosed bugs..
is this still a problem with Fedora or RHEL ?

Note You need to log in before you can comment on or make changes to this bug.